/* HERO SECTION */
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}
body{
  margin:0;
font-family:'Open Sans', sans-serif;
background-color: black;
overflow-x:hidden;
}

html{
  overflow-x:hidden;
}

h1,
h2,
h3,
.logo,
.quote-btn{
  font-family:'Roboto', sans-serif;
}
.hero-section{

  min-height:100vh;

  background:
  linear-gradient(
    rgba(0,0,0,0.75),
    rgba(0,0,0,0.75)
  ),
  url('images/hero-bg.png');

  background-size:cover;
background-position:center top;
  color:white;

  padding:0 60px 60px 60px;
  padding-top:140px;

}

/* NAVBAR */

.navbar{

  display:flex;

  justify-content:space-between;

  align-items:center;

  position:fixed;

  top:0;

  left:0;

  width:100%;

  z-index:9999;

  padding:18px 90px;

  transition:0.4s ease;
  background-color: black;

}

.logo img{
  width:130px;
}

.nav-links{

  display:flex;
  gap:40px;

}

.nav-links a{

  color:white;

  text-decoration:none;

  font-size:18px;

  transition:0.3s;

  position:relative;

  padding-bottom:6px;

  display:inline-block;

}

.nav-links a:hover{
  color:#ff2b2b;
}
/* RED LINE */

.nav-links a::after{

  content:"";

  position:absolute;

  left:0;

  bottom:0;

  width:0%;

  height:3px;

  background:#ff2b2b;

  transition:0.3s ease;

}

/* SHOW LINE */

.nav-links a:hover::after{

  width:100%;

}
/* BUTTON */

.quote-btn{

  background:#ff2b2b;
  color:white;

  text-decoration:none;

  padding:16px 28px;

  font-weight:700;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;

}

.quote-btn:hover{

  background:white;

  color:black;


}
/* HAMBURGER */

.hamburger{

  display:none;

  flex-direction:column;

  gap:6px;

  cursor:pointer;

}

.hamburger span{

  width:30px;

  height:3px;

  background:white;

  border-radius:10px;

}

.navbar.scrolled{

  background:rgba(0,0,0,0.95);

  backdrop-filter:blur(10px);

  box-shadow:0 5px 20px rgba(0,0,0,0.4);

}

.navbar.hide{

  transform:translateY(-120%);

}
/* DROPDOWN */

.dropdown{

  position:relative;

}

/* PROJECTS LINK */

.dropdown-link{

  display:flex;

  align-items:center;

  gap:8px;

}

/* DROPDOWN MENU */

.dropdown-menu{

  position:absolute;

  top:140%;

  left:0;

  background:black;

  min-width:240px;

  padding:15px 0;

  border:1px solid rgba(255,255,255,0.1);

  opacity:0;

  visibility:hidden;

  transform:translateY(10px);

  transition:0.3s ease;

  z-index:999;

}

/* DROPDOWN LINKS */

.dropdown-menu a{

  display:block;

  padding:14px 22px;

  color:white;

  text-decoration:none;

  font-size:16px;

  transition:0.3s ease;

}

/* HOVER EFFECT */

.dropdown-menu a:hover{

  background:#ff2b2b;

  color:white;

}

/* SHOW MENU */

.dropdown:hover .dropdown-menu{

  opacity:1;

  visibility:visible;

  transform:translateY(0);

}
/* HERO CONTENT */

.hero-content{

 margin-top:50px;
  max: width 900px;
padding-top:5px;
margin-left: 20px;
}

.hero-top-text{

  color:#ff2b2b;

  font-size:28px;
  font-weight:700;

  margin-bottom:30px;

}

.hero-content h1{

  font-size:78px;
  line-height:0.95;

  font-weight:900;

  margin-bottom:30px;

  

}

.hero-content h1 span{
  color:#ff2b2b;
}

.hero-description{

  font-size:22px;
  line-height:1.6;

  color:#dddddd;

  margin-bottom:50px;

  max-width:650px;

}

/* HERO BUTTONS */

.hero-buttons{

  display:flex;
  gap:30px;

  margin-bottom:60px;

}

.primary-btn{

  background:#ff2b2b;
  color:white;

  padding:22px 42px;

  text-decoration:none;
  font-weight:700;

}
.primary-btn:hover{

 background:white;

  color:black;


}

.secondary-btn{

  border:2px solid white;
  color:white;

  padding:22px 42px;

  text-decoration:none;
  font-weight:700;
  display:flex;
  align-items:center;
  gap:12px;


}

.secondary-btn:hover{

  background:#ff2b2b;

  border-color:#ff2b2b;

}

/* FEATURES */

.hero-features{

  display:flex;
  gap:50px;
  flex-wrap:wrap;

  color:#cccccc;

  font-size:20px;

}

.feature-item{

  display:flex;
  align-items:center;
  gap:12px;

}

.feature-item i{
  color:#ff2b2b;
}

@media(max-width:900px){

  .nav-links{

    position:absolute;

    top:100px;

    right:0;

    background:black;

    width:100%;

    flex-direction:column;

    align-items:center;

    padding:40px 0;

    gap:30px;

    display:none;

  }

  .nav-links.active{

    display:flex;

  }

  .hamburger{

    display:flex;

  }

  .quote-btn{

    display:none;

  }

}

/* TABLET */

@media(max-width:1200px){

  .navbar{

    padding:18px 40px;

  }

  .nav-links{

    gap:25px;

  }

  .nav-links a{

    font-size:16px;

  }

  .quote-btn{

    padding:14px 22px;

    font-size:14px;

  }

  .logo img{

    width:110px;

  }

}
/* ========================= */
/* SERVICES SECTION */
/* ========================= */

.services-section{

  background:#f3f3f3;

  padding:100px 60px;

}

/* TITLE */

.services-title{

  text-align:center;

  color:#ff2b2b;

  font-size:58px;

  font-weight:900;

  margin-bottom:20px;

}

.services-subtitle{

  text-align:center;

  font-size:24px;

  font-weight:700;

  margin-bottom:70px;

}

/* CATEGORY */

.category-title{

  width:420px;

  background:black;

  color:white;

  margin:80px auto 50px auto;

  text-align:center;

  padding:18px;

  font-weight:700;

  letter-spacing:1px;

}

/* GRID */

.services-grid{

  display:grid;

  grid-template-columns:
  repeat(3, 1fr);

  gap:50px;

  margin-bottom:30px;

}

/* CARD */

.service-card{

  text-align:center;

}

/* IMAGE */

.service-card img{

  width:100%;

  height:210px;

  object-fit:cover;

  transition:0.4s;

}

/* HOVER */

.service-card:hover img{

  transform:scale(1.03);

}

/* TITLE */

.service-card h3{

  margin-top:15px;

  font-size:24px;

  font-weight:700;

}

.center-card{

  grid-column:2;

}

/* ========================= */
/* MOBILE */
/* ========================= */

@media(max-width:900px){

  .services-grid{

    grid-template-columns:1fr;

  }

  .category-title{

    width:100%;

  }

  .services-title{

    font-size:40px;

  }

  .services-subtitle{

    font-size:18px;

  }

}
/* ========================= */
/* FEATURED PROJECTS */
/* ========================= */

.projects-section{

  background:black;

  padding:120px 60px;

}

/* TOP */

.projects-top{

  display:flex;

  justify-content:space-between;

  align-items:center;

  margin-bottom:70px;

}

/* SMALL TITLE */

.projects-small-title{

  color:#ff2b2b;

  font-size:28px;

  font-weight:700;

  margin-bottom:15px;

}

/* MAIN TITLE */

.projects-title{

  color:white;

  font-size:72px;

  font-weight:900;

  line-height:1;

}

/* BUTTON */

.projects-btn{

  border:2px solid white;

  color:white;

  text-decoration:none;

  padding:20px 40px;

  font-weight:700;

  transition:0.3s;

}

.projects-btn:hover{

  background:#ff2b2b;

  border-color:#ff2b2b;

}

/* GRID */

.projects-grid{

  display:grid;

  grid-template-columns:
  repeat(3, 1fr);

  gap:40px;

}

/* CARD */

.project-card{

  overflow:hidden;

  background:#111;

}

/* IMAGE */

.project-card img{

  width:100%;

  height:320px;

  object-fit:cover;

  transition:0.4s;

}

/* HOVER */

.project-card:hover img{

  transform:scale(1.05);

  opacity:0.8;

}

/* ========================= */
/* MOBILE */
/* ========================= */

@media(max-width:900px){

  .projects-top{

    flex-direction:column;

    align-items:flex-start;

    gap:30px;

  }

  .projects-grid{

    grid-template-columns:1fr;

  }

  .projects-title{

    font-size:48px;

  }

}
/* ========================= */
/* MEMORIAL ENGRAVING */
/* ========================= */

/* ========================= */
/* MEMORIAL SECTION */
/* ========================= */

.engraving-section{

  min-height:650px;

  background:
  linear-gradient(
    to right,
    rgba(0,0,0,0.95) 35%,
    rgba(0,0,0,0.75) 60%,
    rgba(0,0,0,0.2) 100%
  ),
  url("images/memorial-main.png");

  background-size:cover;

  background-position:center right;

  display:flex;

  align-items:center;

  padding-left:80px;

}

/* CONTENT */

.engraving-overlay{

  max-width:900px;

}

/* SMALL TITLE */

.engraving-small-title{

  color:#ff2b2b;

  font-size:34px;

  font-weight:900;

  margin-bottom:20px;

}

/* MAIN TITLE */

.engraving-title{

  color:white;

  font-size:78px;

  line-height:0.9;

  font-weight:900;

  font-style:italic;

  margin-bottom:40px;

}
.engraving-title span{
  color:#ff2b2b;
}

/* DESCRIPTION */

.engraving-description{

  color:#dddddd;

  font-size:22px;

  line-height:1.6;

  max-width:700px;

  margin-bottom:50px;

}

/* BUTTON */

.engraving-btn{

  display:inline-block;

  background:#ff2b2b;

  color:white;

  text-decoration:none;

  padding:24px 42px;

  font-size:22px;

  font-weight:700;

}
.engraving-btn:hover{

  background:#ff4444;

}

/* MOBILE */

@media(max-width:900px){

  .engraving-section{

    padding:60px 30px;

    min-height:auto;

    background-position:center;

  }

  .engraving-title{

    font-size:64px;

  }

  .engraving-description{

    font-size:20px;

  }

}
/* ========================= */
/* HOW IT WORKS */
/* ========================= */

.process-section{

  background:#f2f2f2;

  padding:100px 80px;
}

/* TITLE */

.process-title{

  text-align:center;

  color:#ff2b2b;

  font-size:44px;

  font-weight:900;

  margin-bottom:90px;
}

/* GRID */

.process-grid{

  display:grid;

  grid-template-columns:
  repeat(2, 1fr);

  gap:80px 120px;

  max-width:1400px;

  margin:auto;

}

/* CARD */

.process-card{

  display:flex;

  align-items:flex-start;

  gap:35px;

}

/* ICON SIDE */

.process-icon-box{

  position:relative;

}

/* NUMBER */

.process-number{

  position:absolute;

  top:-60px;

  left:50%;

  transform:translateX(-50%);

  color:#ff2b2b;

  font-size:40px;

  font-weight:900;

}

/* BLACK CIRCLE */

.process-icon-circle{

  width:170px;

  height:170px;

  background:black;

  border-radius:50%;

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.process-icon-circle i{

  color:white;

  font-size:75px;

}

/* TEXT */

.process-text h3{

  font-size:35px;

  line-height:1.1;

  font-weight:900;

  margin-bottom:20px;

}

.process-text p{

  font-size:22px;

  line-height:1.5;

  color:#222;

}

/* MOBILE */

@media(max-width:1000px){

  .process-grid{

    grid-template-columns:1fr;

  }

  .process-card{

    flex-direction:column;

    align-items:center;

    text-align:center;

  }

  .process-text h3{

    font-size:40px;

  }

  .process-text p{

    font-size:22px;

  }

}

/* ========================= */
/* ABOUT US */
/* ========================= */

.about-section{

  display:grid;

  grid-template-columns:
  1.5fr 1fr;

  min-height:1200px;

  background:black;

}

/* LEFT */

.about-left{

  padding:80px 70px;

  display:flex;

  flex-direction:column;

  justify-content:flex-start;

}

/* SMALL TITLE */

.about-small-title{

  color:#ff2b2b;

  font-size:34px;

  font-weight:900;

  margin-bottom:40px;

}

/* MAIN TITLE */

.about-title{

  color:white;

  font-size:78px;

  line-height:1.15;

  font-weight:900;

  margin-bottom:40px;

}
.about-title span{
  color:#ff2b2b
}

/* DESCRIPTION */

.about-description{

  color:#dddddd;

  font-size:22px;

  line-height:1.6;

  margin-bottom:50px;

}

/* BUTTON */

.about-btn{

  display:inline-block;

  width:fit-content;

  padding:24px 40px;

  border:3px solid #ff2b2b;

  color:#ff2b2b;

  text-decoration:none;

  font-size:22px;

  font-weight:700;

  margin-bottom:80px;

  transition:0.3s;

}

.about-btn:hover{

  background:#ff2b2b;

  color:white;

}

/* FEATURES */

.about-features{

  display:flex;

  flex-direction:column;

  gap:45px;

}

/* ITEM */

.about-feature-item{

  display:flex;

  align-items:flex-start;

  gap:30px;

}

/* RED CIRCLE */

.about-icon-circle{

  width:120px;

  height:120px;

  min-width:120px;

  background:#7d1010;

  border-radius:50%;

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.about-icon-circle i{

  color:#ff3a3a;

  font-size:55px;

}

/* FEATURE TITLE */

.about-feature-item h3{

  color:white;

  font-size:34px;

  font-weight:900;

  margin-bottom:10px;

}

/* FEATURE TEXT */

.about-feature-item p{

  color:#dddddd;

  font-size:22px;

  line-height:1.5;

}

/* RIGHT IMAGE */

.about-right{

  background-image:
  linear-gradient(
    to left,
    rgba(0,0,0,0.1),
    rgba(0,0,0,0.55),
    rgba(0,0,0,0.85)
  ),
  url("images/about-collage.png");

  background-size:cover;

  background-position:center;

}

/* MOBILE */

@media(max-width:1000px){

  .about-section{

    grid-template-columns:1fr;

  }

  .about-right{

    min-height:600px;

  }

  .about-left{

    padding:60px 30px;

  }

  .about-title{

    font-size:56px;

  }

  .about-description{

    font-size:22px;

  }

  .about-feature-item h3{

    font-size:28px;

  }

  .about-feature-item p{

    font-size:20px;

  }

}
/* ========================= */
/* LIVE MAP SECTION */
/* ========================= */

.map-section{

  background:#f2f2f2;

  padding:80px 70px;

}

/* MAP BOX */

.map-container{

  width:100%;

  height:650px;

  overflow:hidden;

}

/* IFRAME */

.map-container iframe{

  width:100%;

  height:100%;

  display:block;

}

/* MOBILE */

@media(max-width:1000px){

  .map-section{

    padding:40px 20px;

  }

  .map-container{

    height:450px;

  }

}
/* ========================= */
/* FOOTER CONTACT SECTION */
/* ========================= */

.footer-contact{

  background:black;

  padding:80px 70px 20px;

}

/* CONTAINER */

.footer-container{

  display:grid;

  grid-template-columns:
  1fr 1fr;

  gap:80px;

}

/* SMALL TITLE */

.footer-small-title{

  color:#ff2b2b;

  font-size:34px;

  font-weight:900;

  margin-bottom:40px;

}

/* BIG TITLE */

.footer-title{

  color:white;

  font-size:78px;

  line-height:1.15;

  font-weight:900;

  margin-bottom:20px;

}
.footer-title span{
  color:#ff2b2b;
}

/* LOGO */

.footer-logo{

  width:260px;

  margin-bottom:0px;

}
/* DESCRIPTION */

.footer-description{

  color:#dddddd;

  font-size:22px;

  line-height:1.7;

  max-width:700px;
  margin-top:40px;

}
.footer-left{

  display:flex;

  flex-direction:column;

  justify-content:flex-start;

  align-self:start;

}

/* RIGHT TEXT */

.footer-text{

  color:white;

  font-size:22px;

  margin-bottom:40px;

}

/* MESSENGER BUTTON */

.messenger-btn{

  display:inline-flex;

  align-items:center;

  gap:15px;

  background:#ff2b2b;

  color:white;

  text-decoration:none;

  padding:22px 32px;

  font-size:22px;

  font-weight:700;

  margin-bottom:50px;

  transition:0.3s;

}

.messenger-btn:hover{

  background:white;

  color:black;

}

/* CONTACT LIST */

.footer-contact-list{

  display:flex;

  flex-direction:column;

  gap:35px;

}

/* ITEM */

.footer-contact-item{

  display:flex;

  align-items:center;

  gap:25px;

}

/* ICON CIRCLE */

.footer-icon-circle{

  width:85px;

  height:85px;

  min-width:85px;

  border-radius:50%;

  background:#ff2b2b;

  display:flex;

  justify-content:center;

  align-items:center;

}

/* ICON */

.footer-icon-circle i{

  color:white;

  font-size:38px;

}

/* TEXT */

.footer-contact-item p{

  color:white;

  font-size:22px;

  line-height:1.5;

}

/* COPYRIGHT */

.footer-bottom{

  text-align:center;

  color:#bbbbbb;

  font-size:16px;

  margin-top:80px;

}

/* MOBILE */

@media(max-width:1000px){

  .footer-container{

    grid-template-columns:1fr;

    gap:60px;

  }

  .footer-contact{

    padding:60px 25px 20px;

  }

  .footer-title{

    font-size:56px;

  }

  .footer-description{

    font-size:22px;

  }

  .footer-text{

    font-size:22px;

  }

  .footer-contact-item p{

    font-size:22px;

  }

  .messenger-btn{

    font-size:18px;

    padding:18px 24px;

  }

}
/* ========================= */
/* FADE IN ANIMATION */
/* ========================= */

.fade-in{

  opacity:0;

  transform:translateY(60px);

  transition:
  opacity 0.9s ease,
  transform 0.9s ease;

}

/* ACTIVE */

.fade-in.show{

  opacity:1;

  transform:translateY(0);

}